Skip to main content
POST

Authorizations

x-client-id
string
header
required

Client app ID. You can find your app id in the merchant dashboard.

x-client-secret
string
header
required

Client secret key. You can find your secret in the merchant dashboard.

Headers

x-api-version
string
default:2025-01-01
required

API version to be used

x-request-id
string

Request id for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to Cashfree.

x-idempotency-key
string<UUID>

An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.

Body

application/json

Request body to create an offer at Cashfree

create offer backend request object

offer_meta
OfferMeta · object
required

Offer meta details object

Example:
offer_tnc
OfferMeta · object
required

Offer terms and condition object

Example:
offer_details
OfferDetails · object
required

Offer details and type

Example:
offer_validations
OfferValidations · object
required

Offer validation object

Example:

Response

OK

Offer entity object

offer_id
string
Example:

"d2b430fb-1afe-455a-af31-66d00377b29a"

offer_status
string
Example:

"active"

order_amount
number<float64>
payable_amount
number<float64>
offer_meta
OfferMetaResponse · object

Offer meta response details object

Example:
offer_tnc
OfferTncResponse · object

Offer terms and condition object

Example:
offer_details
OfferDetailsResponse · object

Offer details response and type

Example:
offer_validations
OfferValidationsResponse · object

Offer validation object

Example: